%define module epulse
%define	name e-module-%module
%define	version 20141115
%define release %mkrel 2

Summary: 	Enlightenment Extra Modules - %module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://get-e.org/
Source: 	%module.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	efl-devel
BuildRequires:	e-elementary-devel
BuildRequires:	enlightenment-devel
BuildRequires:	gettext-devel
BuildRequires:  %{_lib}xkbfile-devel
BuildRequires:	imagemagick
BuildRequires:  %{_lib}xcomposite-devel
BuildRequires:	%{_lib}mpd-devel
Obsoletes:	e_modules < %version-%release

%description
Enlightenment Extra Modules - %module mixer module 
A module to control audio volume and streams.

%prep
%setup -q -n %module

%build
%define Werror_cflags %nil

./autogen.sh

%configure2_5x --disable-static

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find %buildroot -name *.la | xargs rm

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Sound" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/enlightenment/modules/*
%{_bindir}/epulse
%{_libdir}/libepulse.so
%{_datadir}/applications/epulse.desktop
%{_datadir}/epulse/data/themes/default.edj
%{_datadir}/icons/epulse.png
%{_datadir}/locale/it/LC_MESSAGES/epulse.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/epulse.mo
   

%changelog
* Thu Feb 26 2015 bb <bb> 20141115-2pclos2015
- rebuild

* Sat Nov 15 2014 bb <bb> 20141115-1pclos2014
- update

* Tue Sep 30 2014 bb <bb> 20140930-1pclos2014
- update

* Wed Sep 15 2014 bb <bb> 20140920-1pclos2014
- update
